2019-10-16 11:39 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002230FSSCPgraphicspublic2010-07-22 10:02
ReporterWoolie Wool 
Assigned ToThe_E 
PriorityhighSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.12 RC4 
Target VersionFixed in Version3.6.12 RC4 
Summary0002230: single-frame interface anis do not display
DescriptionAn ANI file in a menu interface (for instance, command briefings) will not be drawn if it only has a single frame in recent FSO builds. I made this a separate report from the other active ANI bug at the request of The E.
Additional InformationA command briefing ani from Twist of Fate is attached to the report. It has a single frame and displays the logo of the Fifth Column Association for Vasudan Reconciliation, an antagonist group in the Twist of Fate campaign.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0012255

chief1983 (administrator)

This appears to have been created sometime in 2009, and may predate the png and eff upgrades.

~0012257

The_E (administrator)

Last edited: 2010-07-22 09:02

Did some testing on RC4. I made a mission that used the supplied ani as a cb ani, copied the ani to data\intelanims and renamed it to intel_great_war.ani and copied it to \interface under the name 2_barracks.ani. These are the results:

-- Single-frame cb ani is displayed
-- Single-frame mainhall ani is displayed
-- Single-frame intel ani is displayed

Are there any more kinds of interface anis? I think not.

~0012260

chief1983 (administrator)

He said there is a type that INF R1 used, and it is breaking it. That's all I know. I've pinged him to get some more info into this ticket and where to find you on IRC while I'm gone for the weekend. Thanks for taking a look.
+Notes

-Issue History
Date Modified Username Field Change
2010-06-21 14:35 Woolie Wool New Issue
2010-06-21 14:35 Woolie Wool File Added: fifthcolumn.7z
2010-07-22 00:31 chief1983 Priority normal => high
2010-07-22 00:31 chief1983 Product Version 3.6.12 RC2 => 3.6.12 RC4
2010-07-22 00:33 chief1983 Note Added: 0012255
2010-07-22 09:00 The_E Note Added: 0012257
2010-07-22 09:01 The_E Note Edited: 0012257
2010-07-22 09:02 The_E Note Edited: 0012257
2010-07-22 09:03 The_E Status new => resolved
2010-07-22 09:03 The_E Fixed in Version => 3.6.12 RC4
2010-07-22 09:03 The_E Resolution open => fixed
2010-07-22 09:03 The_E Assigned To => The_E
2010-07-22 10:02 chief1983 Note Added: 0012260
+Issue History